summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Conrad Tilstra <michael@gentoo.org>2001-06-04 00:39:52 +0000
committerMichael Conrad Tilstra <michael@gentoo.org>2001-06-04 00:39:52 +0000
commit4fea8b3b45d52aab000890d97751c0b22984dc37 (patch)
treebe12a42e3ba9d55119535a23c1b8a4443b5ca9f7 /app-text/dictd/files
parentdependencie fixes and updates (diff)
downloadgentoo-2-4fea8b3b45d52aab000890d97751c0b22984dc37.tar.gz
gentoo-2-4fea8b3b45d52aab000890d97751c0b22984dc37.tar.bz2
gentoo-2-4fea8b3b45d52aab000890d97751c0b22984dc37.zip
- I was putting the man pages in the wrong place. Fixed.
- Now have the initrc script for dictd scanning for dictionaries. I'll go through and clean up the dictionary ebuilds later, but the idea here is to be more friendly to ppl that tweek thier conf files.
Diffstat (limited to 'app-text/dictd/files')
-rw-r--r--app-text/dictd/files/1.5.5-r1/dict.conf (renamed from app-text/dictd/files/dict.conf)0
-rwxr-xr-xapp-text/dictd/files/1.5.5-r1/dictd-run (renamed from app-text/dictd/files/dictd-run)0
-rw-r--r--app-text/dictd/files/1.5.5-r1/dictd.conf22
-rw-r--r--app-text/dictd/files/1.5.5-r1/site.info (renamed from app-text/dictd/files/site.info)0
-rwxr-xr-xapp-text/dictd/files/1.5.5-r1/svc-dictd81
-rw-r--r--app-text/dictd/files/1.5.5/dict.conf6
-rwxr-xr-xapp-text/dictd/files/1.5.5/dictd-run3
-rw-r--r--app-text/dictd/files/1.5.5/dictd.conf (renamed from app-text/dictd/files/dictd.conf)0
-rw-r--r--app-text/dictd/files/1.5.5/site.info6
-rwxr-xr-xapp-text/dictd/files/1.5.5/svc-dictd (renamed from app-text/dictd/files/svc-dictd)0
-rw-r--r--app-text/dictd/files/digest-dictd-1.5.5-r11
11 files changed, 119 insertions, 0 deletions
diff --git a/app-text/dictd/files/dict.conf b/app-text/dictd/files/1.5.5-r1/dict.conf
index e06c3d296ec3..e06c3d296ec3 100644
--- a/app-text/dictd/files/dict.conf
+++ b/app-text/dictd/files/1.5.5-r1/dict.conf
diff --git a/app-text/dictd/files/dictd-run b/app-text/dictd/files/1.5.5-r1/dictd-run
index 949d9712994c..949d9712994c 100755
--- a/app-text/dictd/files/dictd-run
+++ b/app-text/dictd/files/1.5.5-r1/dictd-run
diff --git a/app-text/dictd/files/1.5.5-r1/dictd.conf b/app-text/dictd/files/1.5.5-r1/dictd.conf
new file mode 100644
index 000000000000..4cded974f973
--- /dev/null
+++ b/app-text/dictd/files/1.5.5-r1/dictd.conf
@@ -0,0 +1,22 @@
+# dictd configuration file.
+# whipped up by michael conrad tilstra <michael@gentoo.org>
+
+# Informational message
+site site.info
+
+# who's allowed. You might want to change this.
+access {
+ allow *
+}
+
+# Dictionaries are listed below.
+# The initrc script scans /usr/lib/dict and adds all of the dictionaries
+# it finds here.
+#
+# The initrc script will delete everything after the the last line and
+# replace it with what it finds. So add all of your things above.
+#
+# If this is a problem for people, contact me and
+# we can work out a different method.
+#
+#LASTLINE
diff --git a/app-text/dictd/files/site.info b/app-text/dictd/files/1.5.5-r1/site.info
index 23bfdeb61102..23bfdeb61102 100644
--- a/app-text/dictd/files/site.info
+++ b/app-text/dictd/files/1.5.5-r1/site.info
diff --git a/app-text/dictd/files/1.5.5-r1/svc-dictd b/app-text/dictd/files/1.5.5-r1/svc-dictd
new file mode 100755
index 000000000000..731e738de49f
--- /dev/null
+++ b/app-text/dictd/files/1.5.5-r1/svc-dictd
@@ -0,0 +1,81 @@
+#!/bin/sh
+#RCUPDATE:3 4:75:This line is required for script management
+
+. /etc/rc.d/config/functions
+
+SERVICE=dictd
+opts="start stop"
+
+
+DICTDCONF=/etc/dict/dictd.conf
+TMPCONF=/etc/dict/dictd.conf.$$
+prepconfig() {
+ if [ ! -e ${DICTDCONF} ]
+ then
+ eerror "dictd not started. Config file not found."
+ exit 1
+ fi
+ # if no dictionaries, skip startup.
+
+# The new way of doing this is to scan /usr/lib/dict and tweek the conf
+ DLIBDIR=/usr/lib/dict
+
+ einfo "Scanning for dictionaries..."
+ if [ ! -d "${DLIBDIR}" ]; then
+ eerror "${DLIBDIR} doesn't exist, no dictionaries found."
+ exit 1
+ fi
+ pushd ${DLIBDIR} >/dev/null
+ INDEXFILES=`ls *.index`
+ if [ -z "$INDEXFILES" ]; then
+ eerror "No dictionaries installed."
+ exit 1
+ fi
+
+ cat $DICTDCONF | sed -e '/^#LASTLINE/,$d' > $TMPCONF
+ echo "#LASTLINE" >> $TMPCONF
+
+ CNT=0
+ for i in $INDEXFILES
+ do
+ DNAME=`echo $i | awk -F . '{print $1;}'`
+ #two possible names for a matching dictionary, check which is there.
+ if [ -f ${DNAME}.dict.dz ]; then
+ DICT=${DNAME}.dict.dz
+ elif [ -f ${DNAME}.dict ];then
+ DICT=${DNAME}.dict
+ else
+ einfo "Index $i has no matching dictionaray..."
+ fi
+
+ #ok, go an index, and a dixtionary, append.
+ echo "database $DNAME { \"${DLIBDIR}/${DICT}\"" >> $TMPCONF
+ echo " index \"${DLIBDIR}/$i\" }" >> $TMPCONF
+
+ CNT=`expr $CNT + 1`
+ done
+ popd >/dev/null
+ mv ${TMPCONF} ${DICTDCONF}
+ einfo "Done, $CNT dictionary indexes found."
+}
+
+start() {
+ ebegin "Starting supervised ${SERVICE}"
+ prepconfig
+ ln -sf ../services/${SERVICE} ${SVCDIR}/control/${SERVICE}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping supervised ${SERVICE}"
+ if [ -e ${SVCDIR}/control/${SERVICE} ]
+ then
+ /usr/bin/svc -dx ${SVCDIR}/control/${SERVICE}
+ rm ${SVCDIR}/control/${SERVICE}
+ fi
+ eend $?
+}
+
+doservice ${@}
+
+#vim:sw=4:ts=4:ai
diff --git a/app-text/dictd/files/1.5.5/dict.conf b/app-text/dictd/files/1.5.5/dict.conf
new file mode 100644
index 000000000000..e06c3d296ec3
--- /dev/null
+++ b/app-text/dictd/files/1.5.5/dict.conf
@@ -0,0 +1,6 @@
+# This is the configuration file for dict.
+# Usually all you will ever need here is the server keywords.
+# Refer to the dict manpage for other options.
+# It will only check the second server if the first fails
+server localhost
+server dict.org
diff --git a/app-text/dictd/files/1.5.5/dictd-run b/app-text/dictd/files/1.5.5/dictd-run
new file mode 100755
index 000000000000..949d9712994c
--- /dev/null
+++ b/app-text/dictd/files/1.5.5/dictd-run
@@ -0,0 +1,3 @@
+#!/bin/sh
+# We abuse some debugging features here to get the desired behavior
+exec dictd -d nodetach < /dev/null > /dev/null 2>&1
diff --git a/app-text/dictd/files/dictd.conf b/app-text/dictd/files/1.5.5/dictd.conf
index 50a05c311f3d..50a05c311f3d 100644
--- a/app-text/dictd/files/dictd.conf
+++ b/app-text/dictd/files/1.5.5/dictd.conf
diff --git a/app-text/dictd/files/1.5.5/site.info b/app-text/dictd/files/1.5.5/site.info
new file mode 100644
index 000000000000..23bfdeb61102
--- /dev/null
+++ b/app-text/dictd/files/1.5.5/site.info
@@ -0,0 +1,6 @@
+Welcome to your dictionary server dictd!
+
+This is an example site information file. It should contain information
+about any restricted databases and how users can obtain access. If may
+also contain other random data as you see fit.
+
diff --git a/app-text/dictd/files/svc-dictd b/app-text/dictd/files/1.5.5/svc-dictd
index 9fd50862e381..9fd50862e381 100755
--- a/app-text/dictd/files/svc-dictd
+++ b/app-text/dictd/files/1.5.5/svc-dictd
diff --git a/app-text/dictd/files/digest-dictd-1.5.5-r1 b/app-text/dictd/files/digest-dictd-1.5.5-r1
new file mode 100644
index 000000000000..875329fc7519
--- /dev/null
+++ b/app-text/dictd/files/digest-dictd-1.5.5-r1
@@ -0,0 +1 @@
+MD5 67307b6e5d0337f354b275c377506c63 dictd-1.5.5.tar.gz